import 'package:flutter_test/flutter_test.dart';
import 'package:onairos/onairos_utils.dart';

void main() {
  test('buildOnairosUri constructs correct Uri', () {
    String encodedData = 'testEncodedData';
    String returnLink = 'testapp://returnLink';

    var uri = OnairosUtils.buildOnairosUri(encodedData, returnLink);

    expect(uri.scheme, 'onairos');
    expect(uri.host, 'overlay');
    expect(uri.queryParameters['data'], encodedData);
    expect(uri.queryParameters['returnLink'], Uri.encodeComponent(returnLink));
  });
}
